## python-djvulibre-0.1.9.tar.gz

=== Makefile ===
.PHONY: all
all:
	python setup.py build_ext --inplace --debug

.PHONY: test
test: test-sexpr test-decode

test-%: tests/%.py all
	python $(<)

.PHONY: clean
clean:
	$(RM) djvu/*.so *.c python-build-stamp-*
	$(RM) -R build/

# vim:ts=4 sw=4 noet

=== debian/changelog ===
python-djvulibre (0.1.9) unstable; urgency=low

  * Fill up the package metadata.

 -- Jakub Wilk <ubanus@users.sf.net>  Sat, 16 May 2009 11:05:45 +0200

python-djvulibre (0.1.8) unstable; urgency=low

  * Enable compilation with recent Pyrex.

 -- Jakub Wilk <ubanus@users.sf.net>  Sat, 12 Jul 2008 12:10:08 +0200

python-djvulibre (0.1.7) unstable; urgency=low

  * Protect from collecting just created S-expressions.

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 20 Jun 2008 12:39:24 +0200

python-djvulibre (0.1.6) unstable; urgency=low

  * Call `Context.handle_message()` _before_ any blocking method finishes.
  * Better error handling in `Page.decode()`.

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 14 May 2008 11:19:52 +0200

python-djvulibre (0.1.5) unstable; urgency=low

  * Fix a race condition in `DocumentDecodingJob.wait()`. 
  * `DocumentPages` and `DocumentFiles` checks for actual length and raises
    `IndexError` exceptions.
  * Add `Page.size` and `PageJob.size` properties.
  * Remove spurious and buggy overflow checks.

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 07 May 2008 18:36:51 +0200

python-djvulibre (0.1.4) unstable; urgency=low

  * Initial release.

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 07 May 2008 00:17:17 +0200

=== debian/control ===
Source: python-djvulibre
Section: python
Priority: extra
Maintainer: Jakub Wilk <ubanus@users.sf.net>
Bugs: mailto:ubanus@users.sf.net
Build-Depends: cdbs, debhelper (>= 5), libdjvulibre-dev, pkg-config, python-support, python-pyrex (>= 0.9.7.2), python-all-dev
Standards-Version: 3.8.0
XS-Python-Version: >= 2.4

Package: python-djvulibre
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python support for the DjVu image format
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu.
